%define LANG it
%define version 0.3.0
%define release 7mk

Summary: Italian manual page
Summary(it): Pagine di manuale in italiano
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Documentation
Source: ftp://ftp.pluto.linux.it/pub/pluto/ildp/man/man-pages-it-%{version}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.gif
URL: http://www.pluto.linux.it/ildp/man/
Buildroot: /var/tmp/%{name}
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%{LANG}
Provides: man-%{LANG}

%description 
Italian translations of Linux manual pages: this package includes not
only those from the LDP, but also translations of other popular
man-pages.
 BEWARE: some pages are dated!

%description -l it
Traduzioni italiane delle pagine di manuale per Linux: questo
pacchetto include non solo quelle dell'LDP, ma anche traduzioni di
altre pagine di uso comune.
 ATTENZIONE: alcune pagine sono obsolete!

%prep
%setup -n man-pages-%LANG-%version
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/local/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README README.eng man-pages-it-0.2.lsm  CONTRIB README.translator
%defattr(0644,root,man,2755)
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/local/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-it to man-pages-it, to make it consistent
  with the english man pages package.
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/it tree, a makewhatis.it script, and a cron entry to run it

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement.

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade to 0.3.0
- Fix Url.

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Description taken from Ottavio G Rizzo <rizzo@maths.univ-rennes1.fr>
  package.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

